<template>
    <view>
      <h1>AnotherSubPage</h1>
    </view>
</template>

<script>
export default {
  name: 'AnotherSubPage',
  props: {
    paramA: {
      type: String,
      default: ''
    },
    paramB: {
      type: String,
      default: ''
    },
    customData: {
      type: Object,
      default: () => ({})
    },
    onCustomEvent: {
      type: Function,
      required: true
    }
  },
  created() {
    console.log('AnotherSubPage created with paramA:', this.paramA);
    console.log('AnotherSubPage created with paramB:', this.paramB);
    console.log('AnotherSubPage created with customData:', this.customData);
  },
  methods: {
    getData() {
      this.customData.data = '{"id": 1,"pid": 0,"daa001": "string","daa002": "string","daa003": "string","daa004": "string","daa005": "string","daa006": "2024-06-19T02:40:00.285Z","daa007": "2024-06-19T02:40:00.285Z","daa008": 0,"daa009": "string","daa010": 0,"daa011": 0,"daa012": 0,"daa013": "string","daa014": "string","daa015": "string","daa016": "2024-06-19T02:40:00.285Z","daa017": "2024-06-19T02:40:00.285Z","daa018": "string","daa019": "string","fstatus": 0,"checkDate": "2024-06-19T02:40:00.285Z","checkUser": "string","daa020": "string","daa021": "string","daa022": 0,"daa023": 0,"daa024": "string","daa025": "string","daa026": "string","isReportcheck": 0,"usname": "string","reporttime": "2024-06-19T02:40:00.285Z","machineNo": "string","daa027": 0,"daa028": "string"}';
      return this.customData;
    }
  }
}
</script>

<style>
/* Add your styles here */
</style>
